# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Module/Build.pm) perl(POE.pm) perl(POE/Component/IRC/Plugin/BasePoCoWrap.pm) perl(POE/Component/WWW/Cache/Google.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.0102
%define module_name POE-Component-IRC-Plugin-WWW-Cache-Google
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0102
Release: alt1
Summary: give URIs to Google's cache pages checking if they exist
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/Z/ZO/ZOFFIX/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module is a the POE::Component::IRC manpage plugin which uses
the POE::Component::IRC::Plugin manpage for its base. It provides interface to
see if some URI is present in Google's cache; if it is, plugin will give
the URI pointing to that page.
It accepts input from public channel events, `/notice' messages as well
as `/msg' (private messages); although that can be configured at will.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README examples
%perl_vendor_privlib/P*

%changelog
* Tue Dec 03 2013 Igor Vlasenko <viy@altlinux.ru> 0.0102-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.0101-alt1
- initial import by package builder

